# Note that this is NOT a relocatable package
%define ver      0.8.2
%define  RELEASE 1
%define  rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define prefix   /usr
%define confdir /etc

Summary: Graphical network viewer modeled after etherman.
Name: etherape
Version: %ver
Release: %rel
Copyright: GPL
Group: Applications/Networking
Source: http://download.sourceforge.net/etherape/etherape-%{ver}.tar.gz
# Source1: ee-stdimg-new.xpm

BuildRoot: /var/tmp/etherape-%{PACKAGE_VERSION}-root
URL: http://etherape.sourceforge.net/
Docdir: %{prefix}/doc
Requires: gnome-libs >= 1.0.0
Requires: libglade >= 0.11

%description
Etherape is a graphical network monitor for Unix modeled after
etherman. Featuring ether, ip and tcp modes, it displays network
activity graphically. Hosts and links change in size with traffic. 
Color coded protocols display. It supports ethernet, ppp and slip 
devices. It can filter traffic to be shown, and can read traffic 
from a file as well as live from the network. 

%changelog
* Mon Apr 3 2000 Juan Toledo <toledo@sourceforge.net>
- Initial spec file copied from electric eyes

%prep
%setup -q

# insert new rh logo image
#cp %{SOURCE1} stdimg.xpm

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix --sysconfdir=%{confdir} --enable-static-pcap
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT%{confdir} install

strip $RPM_BUILD_ROOT%{prefix}/bin/* ||:

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README FAQ README.help README.bugs README.thanks
%config %{confdir}/etherape/*
%{prefix}/bin/*
%{prefix}/share/locale/*/*/*
%{prefix}/share/etherape/*/*
%{prefix}/share/gnome/*/*/*
%{prefix}/share/pixmaps/*
